Skip to main content
GET
/
external_accounts
/
{external_account_id}
/
transactions
List transactions of a given external account
curl --request GET \
  --url https://api-sandbox.synctera.com/v0/external_accounts/{external_account_id}/transactions \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api-sandbox.synctera.com/v0/external_accounts/{external_account_id}/transactions"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api-sandbox.synctera.com/v0/external_accounts/{external_account_id}/transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "transactions": [
    {
      "amount": 123,
      "authorized_date": "2023-12-25",
      "category": [
        "<string>"
      ],
      "check_number": "<string>",
      "currency": "USD",
      "date": "2023-12-25",
      "is_pending": true,
      "merchant_name": "Fancy store",
      "payment_method": "<string>",
      "transaction_id": "<string>",
      "transaction_type": "<string>"
    }
  ]
}
{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}
{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}
{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}
{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}
{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

external_account_id
string<uuid>
required

External Account ID

Example:

"7d943c51-e4ff-4e57-9558-08cab6b963c7"

Query Parameters

start_date
string<date>
required

Date range filtering for transactions. Date is inclusive. Date must be in UTC.

end_date
string<date>
required

Date range filtering for transactions. Date is exclusive. Date must be in UTC.

Response

The external account

transactions
object[]
required

Array of transactions of a given external account